LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request POST "$LAGO_URL/api/v1/add_ons" \
--header "Authorization: Bearer $API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"add_on": {
"name": "Setup Fee",
"code": "setup_fee",
"amount_cents": 50000,
"amount_currency": "USD",
"description": "Implementation fee for new customers.",
"tax_codes": ["french_reduced_vat"]
}
}'
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
from lago_python_client.models import AddOn
client = Client(api_key='__YOUR_API_KEY__')
add_on = AddOn(
name='Setup Fee',
code='setup_fee',
amount_cents=50000,
amount_currency='USD',
description='Implementation fee for new customers.',
tax_codes= ['french_standard_vat']
)
try:
client.add_ons.create(add_on)
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
add_on = {
name: 'Setup Fee',
code: 'setup_fee',
description: 'Implementation fee for new customers.',
amount_cents: 50000,
amount_currency: 'USD',
tax_codes: ['french_standard_vat']
}
client.add_ons.create(add_on)
const addOnObject = {
name: "Setup Fee",
code: "setup_fee",
description: "Implementation fee for new customers.",
amount_cents: 50000,
amount_currency: "USD",
tax_codes: ["french_standard_vat"],
};
await client.addOns.createAddOn({ addOn: addOnObject });
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().
SetApiKey("__YOUR_API_KEY__")
addOnInput := &lago.AddOnInput{
Name: "Setup Fee",
Code: "setup_fee",
AmountCents: 50000,
AmountCurrency: lago.USD,
Description: "Implementation fee for new customers.",
}
addOn, err := lagoClient.AddOn().Create(addOnInput)
if err != nil {
// Error is *lago.Error
panic(err)
}
// addOn is *lago.AddOn
fmt.Println(addOn)
}
{
"add_on": {
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"name": "Setup Fee",
"invoice_display_name": "Setup Fee (SF1)",
"code": "setup_fee",
"amount_cents": 50000,
"amount_currency": "USD",
"description": "Implementation fee for new customers.",
"created_at": "2022-04-29T08:59:51Z",
"taxes": [
{
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"name": "TVA",
"code": "french_standard_vat",
"rate": 20,
"applied_to_organization": true,
"created_at": "2023-07-06T14:35:58Z",
"description": "French standard VAT"
}
]
}
}{
"status": 400,
"error": "Bad request"
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 403,
"error": "Forbidden",
"code": "feature_unavailable"
}{
"status": 422,
"error": "Unprocessable entity",
"code": "validation_errors",
"error_details": {}
}Add-ons
Create an add-on
This endpoint is used to create an add-on that can be then attached to a one-off invoice.
POST
/
add_ons
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request POST "$LAGO_URL/api/v1/add_ons" \
--header "Authorization: Bearer $API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"add_on": {
"name": "Setup Fee",
"code": "setup_fee",
"amount_cents": 50000,
"amount_currency": "USD",
"description": "Implementation fee for new customers.",
"tax_codes": ["french_reduced_vat"]
}
}'
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
from lago_python_client.models import AddOn
client = Client(api_key='__YOUR_API_KEY__')
add_on = AddOn(
name='Setup Fee',
code='setup_fee',
amount_cents=50000,
amount_currency='USD',
description='Implementation fee for new customers.',
tax_codes= ['french_standard_vat']
)
try:
client.add_ons.create(add_on)
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
add_on = {
name: 'Setup Fee',
code: 'setup_fee',
description: 'Implementation fee for new customers.',
amount_cents: 50000,
amount_currency: 'USD',
tax_codes: ['french_standard_vat']
}
client.add_ons.create(add_on)
const addOnObject = {
name: "Setup Fee",
code: "setup_fee",
description: "Implementation fee for new customers.",
amount_cents: 50000,
amount_currency: "USD",
tax_codes: ["french_standard_vat"],
};
await client.addOns.createAddOn({ addOn: addOnObject });
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().
SetApiKey("__YOUR_API_KEY__")
addOnInput := &lago.AddOnInput{
Name: "Setup Fee",
Code: "setup_fee",
AmountCents: 50000,
AmountCurrency: lago.USD,
Description: "Implementation fee for new customers.",
}
addOn, err := lagoClient.AddOn().Create(addOnInput)
if err != nil {
// Error is *lago.Error
panic(err)
}
// addOn is *lago.AddOn
fmt.Println(addOn)
}
{
"add_on": {
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"name": "Setup Fee",
"invoice_display_name": "Setup Fee (SF1)",
"code": "setup_fee",
"amount_cents": 50000,
"amount_currency": "USD",
"description": "Implementation fee for new customers.",
"created_at": "2022-04-29T08:59:51Z",
"taxes": [
{
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"name": "TVA",
"code": "french_standard_vat",
"rate": 20,
"applied_to_organization": true,
"created_at": "2023-07-06T14:35:58Z",
"description": "French standard VAT"
}
]
}
}{
"status": 400,
"error": "Bad request"
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 403,
"error": "Forbidden",
"code": "feature_unavailable"
}{
"status": 422,
"error": "Unprocessable entity",
"code": "validation_errors",
"error_details": {}
}LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"
curl --location --request POST "$LAGO_URL/api/v1/add_ons" \
--header "Authorization: Bearer $API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
"add_on": {
"name": "Setup Fee",
"code": "setup_fee",
"amount_cents": 50000,
"amount_currency": "USD",
"description": "Implementation fee for new customers.",
"tax_codes": ["french_reduced_vat"]
}
}'
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
from lago_python_client.models import AddOn
client = Client(api_key='__YOUR_API_KEY__')
add_on = AddOn(
name='Setup Fee',
code='setup_fee',
amount_cents=50000,
amount_currency='USD',
description='Implementation fee for new customers.',
tax_codes= ['french_standard_vat']
)
try:
client.add_ons.create(add_on)
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')
add_on = {
name: 'Setup Fee',
code: 'setup_fee',
description: 'Implementation fee for new customers.',
amount_cents: 50000,
amount_currency: 'USD',
tax_codes: ['french_standard_vat']
}
client.add_ons.create(add_on)
const addOnObject = {
name: "Setup Fee",
code: "setup_fee",
description: "Implementation fee for new customers.",
amount_cents: 50000,
amount_currency: "USD",
tax_codes: ["french_standard_vat"],
};
await client.addOns.createAddOn({ addOn: addOnObject });
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().
SetApiKey("__YOUR_API_KEY__")
addOnInput := &lago.AddOnInput{
Name: "Setup Fee",
Code: "setup_fee",
AmountCents: 50000,
AmountCurrency: lago.USD,
Description: "Implementation fee for new customers.",
}
addOn, err := lagoClient.AddOn().Create(addOnInput)
if err != nil {
// Error is *lago.Error
panic(err)
}
// addOn is *lago.AddOn
fmt.Println(addOn)
}
⌘I